public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: dev-python/notebook/
Date: Fri,  4 Sep 2015 05:46:17 +0000 (UTC)	[thread overview]
Message-ID: <1441286267.c1ad3a00f0e4717718d4874884a1c75dc6031fc2.jlec@gentoo> (raw)

commit:     c1ad3a00f0e4717718d4874884a1c75dc6031fc2
Author:     Sean Vig <sean.v.775 <AT> gmail <DOT> com>
AuthorDate: Thu Sep  3 13:17:47 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Sep  3 13:17:47 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=c1ad3a00

dev-python/notebook: Enable building docs

 dev-python/notebook/ChangeLog            |  3 +++
 dev-python/notebook/notebook-9999.ebuild | 15 +++++++++++++++
 2 files changed, 18 insertions(+)

diff --git a/dev-python/notebook/ChangeLog b/dev-python/notebook/ChangeLog
index d430e4c..c5dc4ba 100644
--- a/dev-python/notebook/ChangeLog
+++ b/dev-python/notebook/ChangeLog
@@ -2,6 +2,9 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Id$
 
+  02 Sep 2015; Sean Vig <sean.v.775@gmail.com> notebook-9999.ebuild:
+  dev-python/notebook: Enable building docs
+
   03 Sep 2015; Marius Brehler <marbre@linux.sungazer.de> notebook-9999.ebuild:
   dev-python/notebook: Re-Fix #478
 

diff --git a/dev-python/notebook/notebook-9999.ebuild b/dev-python/notebook/notebook-9999.ebuild
index 744998b..e5867ef 100644
--- a/dev-python/notebook/notebook-9999.ebuild
+++ b/dev-python/notebook/notebook-9999.ebuild
@@ -55,9 +55,19 @@ python_prepare_all() {
 	# disable bundled mathjax
 	sed -i 's/^.*MathJax.*$//' bower.json || die
 	sed -i 's/mj(/#mj(/' setupbase.py || die
+
+	# Prevent un-needed download during build
+	if use doc; then
+		sed -e "/^    'sphinx.ext.intersphinx',/d" -i docs/source/conf.py || die
+	fi
+
 	distutils-r1_python_prepare_all
 }
 
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
 python_test() {
 	nosetests --with-coverage --cover-package=notebook notebook || die
 }
@@ -68,6 +78,11 @@ python_install() {
 	ln -sf "${EPREFIX}/usr/share/mathjax" "${D}$(python_get_sitedir)/notebook/static/components/MathJax" || die
 }
 
+python_install_all() {
+	use doc && HTML_DOCS=( docs/build/html/. )
+	distutils-r1_python_install_all
+}
+
 pkg_preinst() {
 	# remove old mathjax folder if present
 	rm -rf "${EROOT}"/usr/lib*/python*/site-packages/notebook/static/components/MathJax


             reply	other threads:[~2015-09-04  5:46 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-09-04  5:46 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-09-21 23:09 [gentoo-commits] proj/sci:master commit in: dev-python/notebook/ Aisha Tammy
2017-01-03 10:31 Marius Brehler
2016-05-23  7:08 Marius Brehler
2015-11-11 17:12 Justin Lecher
2015-10-21 13:44 Justin Lecher
2015-10-16 14:38 Marius Brehler
2015-10-02 14:29 Marius Brehler
2015-09-23 10:19 Justin Lecher
2015-09-22 10:06 Justin Lecher
2015-09-22 10:06 Justin Lecher
2015-09-22  7:22 Justin Lecher
2015-09-21 16:05 Justin Lecher
2015-09-09  7:11 Justin Lecher
2015-09-07  6:49 Justin Lecher
2015-09-07  6:49 Justin Lecher
2015-09-03 11:04 Justin Lecher
2015-09-03 11:04 Justin Lecher
2015-09-03 11:04 Justin Lecher
2015-09-03 11:04 Justin Lecher
2015-09-02  9:27 Justin Lecher
2015-09-02  7:59 Justin Lecher
2015-09-02  7:59 Justin Lecher
2015-09-02  6:05 Justin Lecher
2015-09-01 13:11 Justin Lecher
2015-09-01  7:57 Justin Lecher
2015-09-01  7:57 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1441286267.c1ad3a00f0e4717718d4874884a1c75dc6031fc2.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox